<template>
    <div class="default-main">
        <TableHeader datePicker :showReset="false" showExport ref="TableHeaderRef">
            <template v-slot:select>
                <el-form-item label="筛选数据">
                    <el-input v-model="tableStore.table.params.loginName" placeholder="请输入" clearable maxlength="32" show-word-limit></el-input>
                </el-form-item>
            </template>
        </TableHeader>
        <Table ref="tableRef" />
    </div>
</template>
<script setup lang="ts">
import { ref, onMounted, provide, nextTick } from 'vue'
import TableStore from '@/utils/tableStore'
import Table from '@/components/table/index.vue'
import TableHeader from '@/components/table/header/index.vue'
defineOptions({
    name: 'BusinessAdministrator/Audit/Operations/userLoginInformation'
})

const formTabRef = ref()
const TableHeaderRef = ref()
const tableStore: any = new TableStore({
    url: '/system-boot/audit/getAuditLog',
    method: 'POST',
    column: [
        { field: 'userName', title: '登录用户' },
        { field: 'ip', title: '登录ip' ,width:'120px'},
        { field: 'time', title: '登录时间' }
    ]
})

tableStore.table.params.loginName = ''
tableStore.table.params.operateType = '认证'
tableStore.table.params.searchBeginTime = ''
tableStore.table.params.searchEndTime = ''

provide('tableStore', tableStore)
onMounted(() => {
    tableStore.index()
})
</script>
